<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * 
 * @since 1.0.0
 *
 * @package nesiapress
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header();
?>

	<div class="content-wrapper">
		<section class="content-col">
			<?php if ( have_posts() ) : ?>

				<header class="page-header">
					<?php the_archive_title( '<h1 class="page-title">', '</h1>' ); ?>
					<?php the_archive_description(); ?>
				</header><!-- .page-header -->

				<?php
				/* Start the Loop */
				while ( have_posts() ) :
					
					the_post();

					get_template_part( 'template-parts/content', get_post_format() );
				
				endwhile;

				nesiapress_posts_pagination();
				
			else :

				// If no content, include the "No posts found" template.
				get_template_part( 'template-parts/content', 'none' );
		
			endif; ?>
		</section><!-- .content-col -->
		
		<?php get_sidebar(); ?>
		
	</div><!-- .content-wrapper -->

<?php
get_footer();?>
