<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * 
 * @since 1.0.0
 *
 * @package nesiapress
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<?php wp_head(); ?>
</head>

<body <?php body_class( 'antialiased' ); ?>>

	<div id="page">
		<a class="skip-link screen-reader-text" href="#main-content"><?php esc_html_e( 'Skip to content', 'nesiapress' ); ?></a>
	
		<?php
		/**
		 * nesiapress_header hook.
		 *
		 * @since 1.0.0
		 *
		 * @hooked nesiapress_hook_header
		 */
		do_action( 'nesiapress_header' ); ?>

		<?php
		/**
		 * nesiapress_after_header hook.
		 *
		 * @since 1.0.6
		 *
		 */
		do_action( 'nesiapress_after_header' ); ?>

		<main id="main-content">

			<?php
			/**
			 * nesiapress_before_main_content hook.
			 *
			 * @since 1.0.6
			 *
			 */
			do_action( 'nesiapress_before_main_content' ); ?>
	