<?php
/**
 * Footer components.
 * 
 * @since 1.0.0
 *
 * @package nesiapress
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( !function_exists( 'nesiapress_hook_footer' ) ) {
    add_action( 'nesiapress_footer', 'nesiapress_hook_footer' );

    function nesiapress_hook_footer() {
        ?>

        <footer id="site-footer">
            <div class="footer-inner">
                <?php
                /**
                 * nesiapress_site_info hook.
                 *
                 * @since 1.0.65
                 * 
                 */
                do_action( 'nesiapress_site_info' ); ?>

                <?php if ( has_nav_menu( 'footer' ) ) : ?>
                    <?php
                    wp_nav_menu(
                        array(
                            'container_id'    => 'footer-menu',
                            'container_class' => 'footer-menu-nav',
                            'menu_class'      => 'footer-menu-list-wrapper',
                            'li_class'        => 'footer-menu-list',
                            'theme_location'  => 'footer',
                            'depth'           => 1,
                        )
                    );
                    ?>
                <?php endif; ?>

            </div><!-- .footer-inner -->
        </footer> <!-- #site-footer -->
    <?php
    }
}

if ( ! function_exists( 'nesiapress_hook_copyright' ) ) {
	add_action( 'nesiapress_site_info', 'nesiapress_hook_copyright' );
	/**
	 * Tweak NesiaPress copyright info
	 *
	 * @since 1.0.65
     * 
	 */
	function nesiapress_hook_copyright() {
		$nesiapress_copyright = sprintf(
			'<div class="footer-content">
                &copy; %1$s <a href="%2$s">%3$s</a> - <a href="%4$s">Powered by NesiaPress</a>
            </div>',
			date( 'Y' ),
            home_url( '/' ),
			get_bloginfo( 'name' ),
            esc_url( 'https://nesiapress.com' )
		);

		echo apply_filters( 'nesiapress_copyright', $nesiapress_copyright );
	}
}