<?php
/**
 * Header components.
 * 
 * @since 1.0.0
 *
 * @package nesiapress
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! function_exists( 'nesiapress_hook_header' ) ) {
    add_action( 'nesiapress_header', 'nesiapress_hook_header' );
    /**
	 * Build the header.
	 *
	 * @since 1.0.0
	 */
    function nesiapress_hook_header() {
      ?>

		<?php
		/**
		 * nesiapress_before_header hook.
		 *
		 * @since 1.0.6
		 *
		 */
		do_action( 'nesiapress_before_header' ); ?>
		
      <header id="site-header">
			<div class="header-wrapper">
				<div class="header-inner">

					<div class="site-brand">
						<?php
						the_custom_logo();
						if ( is_front_page() && is_home() ) :
							?>
							<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<?php
						else :
							?>
							<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
							<?php
						endif;
						$nesiapress_description = get_bloginfo( 'description', 'display' );
						if ( $nesiapress_description || is_customize_preview() ) :
							?>
							<p class="site-description"><?php echo $nesiapress_description; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></p>
						<?php endif; ?>
					</div><!-- .site-brand -->

					<?php if ( has_nav_menu( 'primary' ) ) : ?>
						<div class="menu-button-wrapper">
							<button id="menu-toggle" class="menu-toggle">
								<i class="fa fa-sw fa-sm fa-ellipsis-v"></i>
								<span class="toggle-text"><?php _e( 'Menu', 'nesiapress' ); ?></span>
							</button>
							<div id="site-header-menu" class="site-header-menu">
							<?php if ( has_nav_menu( 'primary' ) ) : ?>
								<nav id="site-navigation" class="main-navigation" aria-label="<?php esc_attr_e( 'Primary Menu', 'nesiapress' ); ?>">
									<?php
										wp_nav_menu(
											array(
												'theme_location' => 'primary',
												'menu_class' => 'primary-menu',
											)
										);
									?>
								</nav><!-- .main-navigation -->
							<?php endif; ?>
						</div><!-- .site-header-menu -->
						</div>

						
					<?php endif; ?>

				</div><!-- .header-inner -->
			</div><!-- .header-wrapper -->
		</header><!-- #site-header -->
      <?php
   }
}