<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 * 
 * @since 1.0.0
 *
 * @package nesiapress
 */

get_header();
?>

    <div class="content-wrapper">
        <section class="content-col">
            <?php if ( have_posts() ) : ?>

                <header class="page-header">
                    <?php
                    printf(
                        /* translators: %s: Search term. */
                        '<h1>' . esc_html__( 'Results for "%s"', 'nesiapress' ) . '</h1>',
                        '<span>' . esc_html( get_search_query() ) . '</span>'
                    );
                    ?>
                    <p class="search-result-count">
                        <?php
                        printf(
                            esc_html(
                                /* translators: %d: The number of search results. */
                                _n(
                                    'We found %d result for your search.',
                                    'We found %d results for your search.',
                                    (int) $wp_query->found_posts,
                                    'nesiapress'
                                )
                            ),
                            (int) $wp_query->found_posts
                        );
                        ?>
                    </p><!-- .search-result-count -->
                </header><!-- .page-header -->

                <?php
                while ( have_posts() ) :
                    
                    the_post();

                    get_template_part( 'template-parts/content', get_post_format() );
                
                endwhile;

                    nesiapress_posts_pagination();

            else :

                // If no content, include the "No posts found" template.
                get_template_part( 'template-parts/content', 'none' );
        
            endif; ?>
        </section><!-- .content-col -->

        <?php get_sidebar(); ?>
        
    </div><!-- .content-wrapper -->

<?php
get_footer();?>