<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * 
 * @since 1.0.0
 *
 * @package nesiapress
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('content-page'); ?>>

	<header class="entry-header">
		<h1 class="entry-title"><?php the_title();?></h1>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content();

			wp_link_pages(
				array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'nesiapress' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'nesiapress' ) . ' </span>%',
					'separator'   => '<span class="screen-reader-text">, </span>',
				)
			);
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php
			edit_post_link(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Edit', 'nesiapress' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					wp_kses_post( get_the_title() )
				),
				'<span class="edit-link"><i class="fas fa-fw fa-sm fa-edit"></i>',
				'</span>'
			);
			?>
	</footer><!-- .entry-footer -->
</article><!-- .content-page -->
