<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * 
 * @since 1.0.0
 *
 * @package nesiapress
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php nesiapress_post_thumbnail(); ?>

	<div class="content">
		<header class="entry-header">
			<?php
				the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
				nesiapress_posted_on();
				nesiapress_posted_by();
			?>
		</header><!-- .entry-header -->

		<?php if ( is_search() || is_archive() ) : ?>

			<div class="entry-content">
				<div class="entry-content-wrapper">
					<?php
					/* translators: %s: Name of current post */
						the_excerpt();
					?>
				</div><!-- .entry-content-wrapper -->
			</div><!-- .entry-header -->

		<?php else : ?>

			<div class="entry-content">
				<div class="entry-content-wrapper">
				<?php
				/* translators: %s: Name of current post */
					the_excerpt(
					sprintf(
						__( 'Continue reading %s', 'nesiapress' ),
						the_title( '<span class="screen-reader-text">"', '"</span>', false )
					)
				);

				wp_link_pages(
					array(
						'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'nesiapress' ) . '</span>',
						'after'       => '</div>',
						'link_before' => '<span>',
						'link_after'  => '</span>',
						'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'nesiapress' ) . ' </span>%',
						'separator'   => '<span class="screen-reader-text">, </span>',
					)
				); ?>
				</div><!-- .entry-content-wrapper -->
			</div><!-- .entry-content -->

		<?php endif; ?>

		<footer class="entry-footer">
			<?php nesiapress_entry_footer(); ?>
		</footer><!-- .entry-footer -->
	</div>
	
</article><!-- .content-post -->
