<?php
/**
 * Template part for displaying author bio in single.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * 
 * @since 1.0.0
 *
 * @package nesiapress
 */

?>

<div class="author-bio">
	<div class="author-avatar vcard">
		<?php echo get_avatar( get_the_author_meta( 'ID' ), 100 ); ?>
	</div>
		
	<div class="author-description">
		<h3 class="author-title">
			<?php
			printf(
				/* translators: %s: Author name. */
				__( '%s', 'nesiapress' ),
				esc_html( get_the_author() )
			);
			?>
		</h3><!-- .author-title -->
		<?php echo wp_kses_post( wpautop( get_the_author_meta( 'description' ) ) ); ?>
		<a class="author-link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
			<?php
				/* translators: %s: The post author display name. */
				printf( __( 'View all posts by %s', 'nesiapress' ), get_the_author() );
				?>
		</a><!-- .author-link -->
	</div><!-- .author-description -->
</div><!-- .author-bio -->
